### Method

# Gtk ProgressBarset_show_text

#### Declaration [src]

    void
    gtk_progress_bar_set_show_text (
      GtkProgressBar* pbar,
      gboolean show_text
    )

#### Description [src]

Sets whether the progress bar will show text next to the bar.

The shown text is either the value of the `GtkProgressBar:text` property or, if that is `NULL`, the `GtkProgressBar:fraction` value, as a percentage.

To make a progress bar that is styled and sized suitably for containing text (even if the actual text is blank), set `GtkProgressBar:show-text` to `TRUE` and `GtkProgressBar:text` to the empty string (not `NULL`).

Sets property | `Gtk.ProgressBar:show-text`

#### Parameters

`show_text`

  Type: `gboolean`

  Whether to show text.